Bug 1257246 - (CVE-2015-6524) CVE-2015-6524 activemq: LDAPLoginModule implementation allows wildcard operators in usernames
CVE-2015-6524 activemq: LDAPLoginModule implementation allows wildcard operat...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150824,repor...
: Security
Depends On: 1319874 1257247 1257248
Blocks: 1257253 1385169
  Show dependency treegraph
 
Reported: 2015-08-26 11:01 EDT by Adam Mariš
Modified: 2018-05-10 14:15 EDT (History)
26 users (show)

See Also:
Fixed In Version: activemq-5.10.1, activemq-5.11.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-26 11:01:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2015-6524 to the following vulnerability:

The LDAPLoginModule implementation the Java Authentication and Authorization Service (JAAS) in Apache ActiveMQ 5.x before 5.10.1 allows wildcard operators in usernames, which allows remote attackers to obtain credentials via a brute force attack.
Comment 2 Adam Mariš 2015-08-26 11:02:32 EDT
Created activemq tracking bugs for this issue:

Affects: fedora-all [bug 1257248]
Comment 3 Fedora Update System 2015-10-03 13:37:57 EDT
activemq-5.6.0-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-10-04 18:51:07 EDT
activemq-5.6.0-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.